# Interface TimeSliderJson

Time animation is controlled by a configurable time slider. Those configurations are saved to the web map as a timeSlider widget.

See https://developers.arcgis.com/web-map-specification/objects/timeSlider/.

interface TimeSliderJson {
properties: {
endTime?: number;
numberOfStops?: number;
startTime?: number;
thumbCount?: number;
thumbMovingRate?: number;
timeStopInterval?: {
interval?: number;
units?:
| "esriTimeUnitsCenturies"
| "esriTimeUnitsDays"
| "esriTimeUnitsDecades"
| "esriTimeUnitsHours"
| "esriTimeUnitsMilliseconds"
| "esriTimeUnitsMinutes"
| "esriTimeUnitsMonths"
| "esriTimeUnitsSeconds"
| "esriTimeUnitsWeeks"
| "esriTimeUnitsYears";
};
};
}

#####
Index

### Properties

properties

##
Properties

### properties

properties: {
endTime?: number;
numberOfStops?: number;
startTime?: number;
thumbCount?: number;
thumbMovingRate?: number;
timeStopInterval?: {
interval?: number;
units?:
| "esriTimeUnitsCenturies"
| "esriTimeUnitsDays"
| "esriTimeUnitsDecades"
| "esriTimeUnitsHours"
| "esriTimeUnitsMilliseconds"
| "esriTimeUnitsMinutes"
| "esriTimeUnitsMonths"
| "esriTimeUnitsSeconds"
| "esriTimeUnitsWeeks"
| "esriTimeUnitsYears";
};
}

Properties for the time slider.

#### Type declaration

- ##### `Optional` endTime?: number

  The end of the time slider.

- ##### `Optional` numberOfStops?: number

  Number of stops within the timeSlider widget.

- ##### `Optional` startTime?: number

  The start of the time slider.

- ##### `Optional` thumbCount?: number

  The default value for the thumbCount is 1.

- ##### `Optional` thumbMovingRate?: number

  Rate at which the time animation plays.

- ##### `Optional` timeStopInterval?: {
  interval?: number;
  units?:
  | "esriTimeUnitsCenturies"
  | "esriTimeUnitsDays"
  | "esriTimeUnitsDecades"
  | "esriTimeUnitsHours"
  | "esriTimeUnitsMilliseconds"
  | "esriTimeUnitsMinutes"
  | "esriTimeUnitsMonths"
  | "esriTimeUnitsSeconds"
  | "esriTimeUnitsWeeks"
  | "esriTimeUnitsYears";
  }

  The interval which has been defined for the time slider. See https://developers.arcgis.com/web-map-specification/objects/timeStopInterval/.

  - ##### `Optional` interval?: number

    The length of the time interval.

  - ##### `Optional` units?:
    | "esriTimeUnitsCenturies"
    | "esriTimeUnitsDays"
    | "esriTimeUnitsDecades"
    | "esriTimeUnitsHours"
    | "esriTimeUnitsMilliseconds"
    | "esriTimeUnitsMinutes"
    | "esriTimeUnitsMonths"
    | "esriTimeUnitsSeconds"
    | "esriTimeUnitsWeeks"
    | "esriTimeUnitsYears"

    The units used to define the interval.